app.service("employeesService", function () {
    this.employees = [
        {
            "username": "Alexis.Powlowski",
            "firstName": "Zoila",
            "lastName": "Cronin",
            "email": "Jeanne33@gmail.com",
            "birthDate": "1989-07-14T09:26:27.187Z",
            "basicSalary": 27000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Dedrick.Gutkowski",
            "firstName": "Name",
            "lastName": "Fahey",
            "email": "Laurine.Heaney49@yahoo.com",
            "birthDate": "1991-08-27T14:53:04.936Z",
            "basicSalary": 10000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Broderick54",
            "firstName": "Collin",
            "lastName": "Bayer",
            "email": "Lenny.Bode@hotmail.com",
            "birthDate": "1991-07-19T16:33:31.057Z",
            "basicSalary": 11000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Shyanne_Dicki",
            "firstName": "Ocie",
            "lastName": "Oberbrunner",
            "email": "Devan48@gmail.com",
            "birthDate": "1992-10-09T11:26:17.050Z",
            "basicSalary": 14000000,
            "status": "Active",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Sandra.Dare98",
            "firstName": "Destiney",
            "lastName": "Koch",
            "email": "Lupe.Jaskolski@hotmail.com",
            "birthDate": "1999-02-10T02:01:47.242Z",
            "basicSalary": 16000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Isabella38",
            "firstName": "Tillman",
            "lastName": "Stracke",
            "email": "Erika_Lemke@yahoo.com",
            "birthDate": "1996-04-22T01:43:21.445Z",
            "basicSalary": 26000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Glennie62",
            "firstName": "Lemuel",
            "lastName": "Grant",
            "email": "Rosie_Gorczany@gmail.com",
            "birthDate": "2000-02-27T05:18:28.726Z",
            "basicSalary": 12000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Vesta.Lockman48",
            "firstName": "Brooke",
            "lastName": "Jast",
            "email": "Torey.Streich85@yahoo.com",
            "birthDate": "1996-03-01T04:45:24.924Z",
            "basicSalary": 25000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Gideon_Cummerata",
            "firstName": "Carolina",
            "lastName": "Ankunding",
            "email": "Antwan9@hotmail.com",
            "birthDate": "1999-08-07T08:27:20.870Z",
            "basicSalary": 26000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Damian97",
            "firstName": "Bert",
            "lastName": "Leuschke",
            "email": "Hipolito_Schoen6@hotmail.com",
            "birthDate": "1998-05-05T21:40:38.476Z",
            "basicSalary": 19000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Trudie_Blick37",
            "firstName": "Ricky",
            "lastName": "Hyatt",
            "email": "Ottis23@gmail.com",
            "birthDate": "1994-01-17T04:35:44.150Z",
            "basicSalary": 21000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Estrella27",
            "firstName": "Brain",
            "lastName": "Kreiger",
            "email": "Chanelle.Schimmel55@yahoo.com",
            "birthDate": "1985-08-13T15:58:54.002Z",
            "basicSalary": 24000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Merl_Lebsack26",
            "firstName": "Braden",
            "lastName": "Jakubowski",
            "email": "Eveline.King@gmail.com",
            "birthDate": "1989-06-25T05:15:49.459Z",
            "basicSalary": 24000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Mina_Stracke",
            "firstName": "Hazel",
            "lastName": "Herman",
            "email": "Madisen.Stokes@yahoo.com",
            "birthDate": "1993-02-18T06:20:24.573Z",
            "basicSalary": 21000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lavern67",
            "firstName": "Korey",
            "lastName": "Heathcote",
            "email": "Emmanuel99@hotmail.com",
            "birthDate": "1987-09-19T21:07:00.051Z",
            "basicSalary": 26000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Nels15",
            "firstName": "Angus",
            "lastName": "Weber",
            "email": "Nina59@gmail.com",
            "birthDate": "2000-03-22T02:29:03.757Z",
            "basicSalary": 28000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Hoyt_Cassin69",
            "firstName": "Nicklaus",
            "lastName": "Murphy",
            "email": "Korey.Stark@yahoo.com",
            "birthDate": "1992-09-05T22:06:38.084Z",
            "basicSalary": 19000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Adelle.Huels",
            "firstName": "Trycia",
            "lastName": "Vandervort",
            "email": "Haylee_Beer@hotmail.com",
            "birthDate": "1999-03-30T08:03:43.167Z",
            "basicSalary": 19000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Karianne.Durgan",
            "firstName": "Gerda",
            "lastName": "Casper",
            "email": "Clifford_Kuvalis9@yahoo.com",
            "birthDate": "1991-01-03T15:13:25.155Z",
            "basicSalary": 9000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Rossie16",
            "firstName": "Beth",
            "lastName": "Ritchie",
            "email": "Gretchen60@gmail.com",
            "birthDate": "2000-10-11T02:51:46.053Z",
            "basicSalary": 12000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Jedidiah57",
            "firstName": "Breanne",
            "lastName": "Walker",
            "email": "Adela_Lindgren@yahoo.com",
            "birthDate": "1993-08-08T09:10:45.726Z",
            "basicSalary": 21000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Ebony_Brakus",
            "firstName": "Milford",
            "lastName": "Fahey",
            "email": "Maye.Roberts53@hotmail.com",
            "birthDate": "1987-11-23T02:04:44.968Z",
            "basicSalary": 7000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lorena.Muller",
            "firstName": "Anna",
            "lastName": "Mills",
            "email": "Terry_Olson@gmail.com",
            "birthDate": "1988-02-23T13:03:40.450Z",
            "basicSalary": 20000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Earl_Kovacek",
            "firstName": "Jules",
            "lastName": "Gibson",
            "email": "Angus78@yahoo.com",
            "birthDate": "1990-06-29T23:35:15.773Z",
            "basicSalary": 28000000,
            "status": "Active",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Aileen.Goyette39",
            "firstName": "Shad",
            "lastName": "Mertz",
            "email": "Rosendo_Monahan@gmail.com",
            "birthDate": "1988-11-22T14:18:04.849Z",
            "basicSalary": 28000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Guido87",
            "firstName": "Glenda",
            "lastName": "Christiansen",
            "email": "Melany_Schimmel@yahoo.com",
            "birthDate": "1999-01-10T19:44:42.126Z",
            "basicSalary": 20000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Wade_Denesik",
            "firstName": "Sherwood",
            "lastName": "Schmidt",
            "email": "Gerda_Rath95@gmail.com",
            "birthDate": "1992-04-19T12:03:03.989Z",
            "basicSalary": 30000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Aisha.Torp37",
            "firstName": "Meggie",
            "lastName": "Schinner",
            "email": "Oda.Goyette68@hotmail.com",
            "birthDate": "1995-08-31T00:21:58.342Z",
            "basicSalary": 8000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Alyson.Gulgowski8",
            "firstName": "Emely",
            "lastName": "Kohler",
            "email": "Adolph16@hotmail.com",
            "birthDate": "1990-12-23T07:35:10.181Z",
            "basicSalary": 27000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Holden_Purdy",
            "firstName": "Alphonso",
            "lastName": "Hudson",
            "email": "Kenyon_Sanford45@yahoo.com",
            "birthDate": "2000-03-10T02:55:35.036Z",
            "basicSalary": 8000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Naomi_Glover",
            "firstName": "Jeff",
            "lastName": "Robel",
            "email": "Geo.Shanahan@yahoo.com",
            "birthDate": "1999-12-15T10:13:29.403Z",
            "basicSalary": 14000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Emelie.Bruen86",
            "firstName": "Gabriel",
            "lastName": "Ledner",
            "email": "Walter46@yahoo.com",
            "birthDate": "1992-09-25T06:10:36.250Z",
            "basicSalary": 27000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Archibald_Gleichner40",
            "firstName": "Jan",
            "lastName": "Herman",
            "email": "Brent.Walter@yahoo.com",
            "birthDate": "2000-11-03T18:49:28.829Z",
            "basicSalary": 25000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Tiana18",
            "firstName": "Dortha",
            "lastName": "Mohr",
            "email": "Yolanda.Gislason12@hotmail.com",
            "birthDate": "1987-04-19T18:38:04.199Z",
            "basicSalary": 26000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Scot.Reilly38",
            "firstName": "Martina",
            "lastName": "Rohan",
            "email": "Marley.Effertz@gmail.com",
            "birthDate": "1987-05-03T09:05:06.356Z",
            "basicSalary": 26000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lane_Rowe30",
            "firstName": "Tomasa",
            "lastName": "Renner",
            "email": "Hudson97@gmail.com",
            "birthDate": "1989-08-02T13:42:09.463Z",
            "basicSalary": 26000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Baron.Boyle64",
            "firstName": "Sienna",
            "lastName": "Kreiger",
            "email": "Gino90@yahoo.com",
            "birthDate": "1992-02-12T04:08:44.859Z",
            "basicSalary": 15000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lane.Hoeger1",
            "firstName": "Rebeca",
            "lastName": "Runte",
            "email": "Thea98@gmail.com",
            "birthDate": "1994-10-29T09:01:36.657Z",
            "basicSalary": 30000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Freida7",
            "firstName": "Randy",
            "lastName": "Kuhlman",
            "email": "Diana55@gmail.com",
            "birthDate": "1989-01-22T21:59:00.824Z",
            "basicSalary": 11000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Deshawn64",
            "firstName": "Nat",
            "lastName": "Ankunding",
            "email": "Kayla_Bauch79@hotmail.com",
            "birthDate": "2000-08-06T00:20:33.330Z",
            "basicSalary": 7000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Theodora.Lehner39",
            "firstName": "Betsy",
            "lastName": "Hayes",
            "email": "Dolly58@yahoo.com",
            "birthDate": "1986-07-09T15:41:45.788Z",
            "basicSalary": 23000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Rickey.McLaughlin",
            "firstName": "Kenyon",
            "lastName": "Donnelly",
            "email": "Vicenta_Cremin@hotmail.com",
            "birthDate": "1990-12-11T11:28:14.524Z",
            "basicSalary": 10000000,
            "status": "Active",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Evangeline_Cormier68",
            "firstName": "Jacquelyn",
            "lastName": "Lockman",
            "email": "Junior_Koch37@hotmail.com",
            "birthDate": "1992-12-09T06:46:05.814Z",
            "basicSalary": 26000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Emely15",
            "firstName": "Kaia",
            "lastName": "Gleichner",
            "email": "Alysson67@gmail.com",
            "birthDate": "1990-10-04T17:42:21.155Z",
            "basicSalary": 13000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Hallie_Blick24",
            "firstName": "Merritt",
            "lastName": "Witting",
            "email": "Shawna1@yahoo.com",
            "birthDate": "1998-08-25T23:00:23.037Z",
            "basicSalary": 17000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Jevon7",
            "firstName": "Annetta",
            "lastName": "Cormier",
            "email": "Rogers.Okuneva@gmail.com",
            "birthDate": "1992-01-23T19:28:48.874Z",
            "basicSalary": 10000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Alvis.Mayert",
            "firstName": "Ada",
            "lastName": "Dooley",
            "email": "Allen_Schamberger@gmail.com",
            "birthDate": "1989-03-05T12:39:48.808Z",
            "basicSalary": 17000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Alexandra37",
            "firstName": "Brad",
            "lastName": "Dach",
            "email": "Gwen13@gmail.com",
            "birthDate": "1993-12-25T18:59:04.176Z",
            "basicSalary": 10000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Randall30",
            "firstName": "Angel",
            "lastName": "Mann",
            "email": "Jennings95@yahoo.com",
            "birthDate": "2000-05-02T14:52:00.961Z",
            "basicSalary": 7000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Jayce41",
            "firstName": "Mose",
            "lastName": "Stracke",
            "email": "Adrianna_Pfeffer20@hotmail.com",
            "birthDate": "1993-07-13T22:37:56.086Z",
            "basicSalary": 8000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Brycen_Blick",
            "firstName": "Pasquale",
            "lastName": "Haley",
            "email": "Lyla57@gmail.com",
            "birthDate": "1985-08-31T23:02:16.504Z",
            "basicSalary": 28000000,
            "status": "Inactive",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Wilfredo23",
            "firstName": "Brendan",
            "lastName": "Parisian",
            "email": "Arno.Abbott@hotmail.com",
            "birthDate": "2000-06-26T07:41:52.780Z",
            "basicSalary": 19000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Darrel.Cummerata80",
            "firstName": "Gillian",
            "lastName": "Heathcote",
            "email": "Elisabeth_Nitzsche43@gmail.com",
            "birthDate": "1986-05-29T16:41:28.231Z",
            "basicSalary": 11000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Muriel.Davis",
            "firstName": "Nola",
            "lastName": "Denesik",
            "email": "Jacinthe41@yahoo.com",
            "birthDate": "1994-04-23T14:13:56.820Z",
            "basicSalary": 11000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Arturo.Hauck",
            "firstName": "Augusta",
            "lastName": "Mann",
            "email": "Addison.Koepp@gmail.com",
            "birthDate": "1997-07-10T13:32:49.511Z",
            "basicSalary": 22000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Harold72",
            "firstName": "Karine",
            "lastName": "Koch",
            "email": "Eva37@hotmail.com",
            "birthDate": "1993-01-28T13:32:34.035Z",
            "basicSalary": 9000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lois.Ward",
            "firstName": "Bernadette",
            "lastName": "Beier",
            "email": "Natasha74@yahoo.com",
            "birthDate": "1991-04-18T10:17:08.410Z",
            "basicSalary": 17000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lelah0",
            "firstName": "Dexter",
            "lastName": "Mitchell",
            "email": "Clark.Yost80@yahoo.com",
            "birthDate": "1985-11-05T09:32:31.554Z",
            "basicSalary": 12000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Adolphus.Botsford19",
            "firstName": "Micaela",
            "lastName": "Ziemann",
            "email": "Duane56@yahoo.com",
            "birthDate": "1989-03-02T02:13:01.886Z",
            "basicSalary": 16000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Shanel98",
            "firstName": "Bonita",
            "lastName": "Jaskolski",
            "email": "Janie_OReilly@hotmail.com",
            "birthDate": "2000-02-10T15:18:20.998Z",
            "basicSalary": 25000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Mohammad.Littel22",
            "firstName": "Jaron",
            "lastName": "Hills",
            "email": "Leanna16@yahoo.com",
            "birthDate": "1988-10-13T07:56:07.414Z",
            "basicSalary": 13000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Russel18",
            "firstName": "Dashawn",
            "lastName": "Rau",
            "email": "Elouise.Kozey8@hotmail.com",
            "birthDate": "1985-10-20T09:17:21.913Z",
            "basicSalary": 15000000,
            "status": "Inactive",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Eriberto80",
            "firstName": "Otilia",
            "lastName": "Corwin",
            "email": "Terry.Collins@gmail.com",
            "birthDate": "1999-11-12T10:29:11.750Z",
            "basicSalary": 9000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Payton.Langworth73",
            "firstName": "Frederic",
            "lastName": "Koch",
            "email": "Richie73@gmail.com",
            "birthDate": "1998-04-10T22:06:37.909Z",
            "basicSalary": 21000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Talon.Ward",
            "firstName": "Alexys",
            "lastName": "Fay",
            "email": "Brain.Harber92@yahoo.com",
            "birthDate": "1989-04-05T00:32:02.034Z",
            "basicSalary": 10000000,
            "status": "Inactive",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Stanton_Hyatt",
            "firstName": "Cole",
            "lastName": "Funk",
            "email": "Sonia.Luettgen@gmail.com",
            "birthDate": "1989-02-28T12:02:32.239Z",
            "basicSalary": 19000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Emanuel11",
            "firstName": "Lue",
            "lastName": "West",
            "email": "Carolina_Kohler@gmail.com",
            "birthDate": "1994-03-28T05:03:34.015Z",
            "basicSalary": 24000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Shayne_Walsh",
            "firstName": "Courtney",
            "lastName": "Hermiston",
            "email": "Katlyn_McKenzie18@hotmail.com",
            "birthDate": "1987-02-02T05:15:19.073Z",
            "basicSalary": 22000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Jordon10",
            "firstName": "Margarette",
            "lastName": "Kub",
            "email": "Ryann42@gmail.com",
            "birthDate": "1998-09-10T02:06:09.921Z",
            "basicSalary": 30000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Lulu.Conn",
            "firstName": "Elinore",
            "lastName": "Harvey",
            "email": "Geovanni_Kunze@gmail.com",
            "birthDate": "1998-03-26T13:39:10.541Z",
            "basicSalary": 17000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Zora49",
            "firstName": "Brannon",
            "lastName": "Lakin",
            "email": "Karina_Schumm69@yahoo.com",
            "birthDate": "1987-10-01T17:04:34.332Z",
            "basicSalary": 22000000,
            "status": "Active",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Edmond_Mayert63",
            "firstName": "Delaney",
            "lastName": "Kuhic",
            "email": "Juana.Konopelski@gmail.com",
            "birthDate": "1985-06-10T19:05:25.129Z",
            "basicSalary": 14000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Courtney.Dach",
            "firstName": "Stephen",
            "lastName": "Ziemann",
            "email": "Marisa4@yahoo.com",
            "birthDate": "1996-03-08T13:20:14.722Z",
            "basicSalary": 8000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Gene88",
            "firstName": "Aylin",
            "lastName": "Jakubowski",
            "email": "Elizabeth84@yahoo.com",
            "birthDate": "1994-07-18T07:27:58.137Z",
            "basicSalary": 24000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Mayra.Rohan",
            "firstName": "Lenora",
            "lastName": "Abshire",
            "email": "Angie27@hotmail.com",
            "birthDate": "1995-05-09T17:12:30.344Z",
            "basicSalary": 23000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Elisa_DuBuque",
            "firstName": "Reanna",
            "lastName": "Hegmann",
            "email": "Everette72@gmail.com",
            "birthDate": "1990-07-20T16:23:57.676Z",
            "basicSalary": 10000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Amy_Skiles",
            "firstName": "Leland",
            "lastName": "Stark",
            "email": "Llewellyn94@gmail.com",
            "birthDate": "1987-04-16T08:11:51.364Z",
            "basicSalary": 28000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Kayleigh36",
            "firstName": "Meta",
            "lastName": "Lind",
            "email": "Kasey_Kiehn@hotmail.com",
            "birthDate": "1987-01-16T08:17:41.455Z",
            "basicSalary": 13000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Myrna_Romaguera",
            "firstName": "Brannon",
            "lastName": "Beahan",
            "email": "Mose58@hotmail.com",
            "birthDate": "1992-03-24T18:05:43.449Z",
            "basicSalary": 29000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Zack74",
            "firstName": "Miracle",
            "lastName": "O'Connell",
            "email": "Cheyenne.Nolan@hotmail.com",
            "birthDate": "1998-03-10T22:48:28.018Z",
            "basicSalary": 30000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Gunner_Olson",
            "firstName": "Xander",
            "lastName": "Hessel",
            "email": "Shea_Heathcote@hotmail.com",
            "birthDate": "1986-11-18T23:31:54.633Z",
            "basicSalary": 20000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Abbie_Waters56",
            "firstName": "Skye",
            "lastName": "Heidenreich",
            "email": "Ciara.Cormier@gmail.com",
            "birthDate": "1999-07-26T03:32:11.076Z",
            "basicSalary": 13000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Karlie75",
            "firstName": "Orion",
            "lastName": "Rempel",
            "email": "Jordan.Wolff@hotmail.com",
            "birthDate": "1998-11-10T00:23:44.718Z",
            "basicSalary": 13000000,
            "status": "Active",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Zita.Farrell",
            "firstName": "Donny",
            "lastName": "Becker",
            "email": "Vallie3@yahoo.com",
            "birthDate": "1988-07-13T21:48:04.591Z",
            "basicSalary": 26000000,
            "status": "Active",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Arielle89",
            "firstName": "Bianka",
            "lastName": "Leannon",
            "email": "Dejon_Medhurst49@yahoo.com",
            "birthDate": "1997-06-13T09:38:06.458Z",
            "basicSalary": 27000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Daisha.Bartell55",
            "firstName": "Angelina",
            "lastName": "Kilback",
            "email": "Jewell.Rodriguez54@gmail.com",
            "birthDate": "2000-07-29T10:16:28.752Z",
            "basicSalary": 20000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Gardner_McGlynn84",
            "firstName": "Ilene",
            "lastName": "Turner",
            "email": "Katarina1@gmail.com",
            "birthDate": "1986-05-14T08:21:49.616Z",
            "basicSalary": 16000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Rosalind_Hettinger",
            "firstName": "Benton",
            "lastName": "Weber",
            "email": "Anais71@yahoo.com",
            "birthDate": "1996-11-03T08:58:25.914Z",
            "basicSalary": 21000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Moises55",
            "firstName": "Neoma",
            "lastName": "Brakus",
            "email": "Kristofer.Krajcik@hotmail.com",
            "birthDate": "1988-03-22T17:10:32.728Z",
            "basicSalary": 30000000,
            "status": "Active",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Nicola_Treutel",
            "firstName": "Mona",
            "lastName": "Marquardt",
            "email": "Unique_Pacocha@yahoo.com",
            "birthDate": "1989-08-18T05:10:03.621Z",
            "basicSalary": 24000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Ambrose.McDermott30",
            "firstName": "Garth",
            "lastName": "Botsford",
            "email": "Jack.Mante47@hotmail.com",
            "birthDate": "1996-08-19T18:29:35.422Z",
            "basicSalary": 16000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Zackery.Welch95",
            "firstName": "Morris",
            "lastName": "Hauck",
            "email": "Kiarra21@gmail.com",
            "birthDate": "1991-01-08T02:47:47.127Z",
            "basicSalary": 22000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Clint19",
            "firstName": "Boris",
            "lastName": "Walter",
            "email": "Casimer_Wunsch46@yahoo.com",
            "birthDate": "1989-05-27T07:03:01.914Z",
            "basicSalary": 24000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Madonna_Marks16",
            "firstName": "William",
            "lastName": "Nienow",
            "email": "Dante_Swift61@yahoo.com",
            "birthDate": "1986-05-23T06:54:00.360Z",
            "basicSalary": 26000000,
            "status": "Inactive",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Jaqueline_Heaney",
            "firstName": "Shawna",
            "lastName": "Bartoletti",
            "email": "Lue_Borer36@gmail.com",
            "birthDate": "1998-05-21T03:30:51.996Z",
            "basicSalary": 30000000,
            "status": "Inactive",
            "group": "Sales",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Krystina.Lakin",
            "firstName": "Anissa",
            "lastName": "Heathcote",
            "email": "Andres37@hotmail.com",
            "birthDate": "1995-09-27T02:46:06.295Z",
            "basicSalary": 21000000,
            "status": "Inactive",
            "group": "Management",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Dariana.Kassulke",
            "firstName": "Lafayette",
            "lastName": "Greenfelder",
            "email": "Lorena.Marvin70@gmail.com",
            "birthDate": "1992-07-06T12:54:11.177Z",
            "basicSalary": 19000000,
            "status": "Active",
            "group": "Marketing",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Eladio.Ryan",
            "firstName": "Janie",
            "lastName": "Littel",
            "email": "Dessie_Schaden@hotmail.com",
            "birthDate": "1994-10-01T06:40:52.874Z",
            "basicSalary": 11000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Marianna23",
            "firstName": "Dylan",
            "lastName": "O'Reilly",
            "email": "Eloisa_Stark3@gmail.com",
            "birthDate": "1996-01-05T00:50:12.738Z",
            "basicSalary": 16000000,
            "status": "Inactive",
            "group": "Engineer",
            "description": "2024-06-22T00:00:00.000Z"
        },
        {
            "username": "Ali.Bashirian",
            "firstName": "Drake",
            "lastName": "Pollich",
            "email": "Davion.Mohr@yahoo.com",
            "birthDate": "1985-06-15T09:22:05.616Z",
            "basicSalary": 28000000,
            "status": "Active",
            "group": "Human Resource",
            "description": "2024-06-22T00:00:00.000Z"
        }
    ]

    this.allEmployee = function() {
        return this.employees;
    };

    this.findEmployeeByUsername = function (username){
        return this.employees.find(employee => employee.username === username);
    }
});
